# Created by pyp2rpm-3.3.8
%global pypi_name rapidfuzz

%global _smp_build_ncpus 1

Name:           python-%{pypi_name}
Version:        3.12.1
Release:        %mkrel 2
Summary:        Rapid fuzzy string matching
Group:          Development/Python
License:        MIT
URL:            https://github.com/maxbachmann/RapidFuzz
Source0:        %{pypi_source}
Patch0:         rapidfuzz-linking.patch
BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  cmake(rapidfuzz)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-cython
BuildRequires:  python3-pytest
BuildRequires:  python3-hypothesis

%description
RapidFuzz is a fast string matching library for Python and C++, which is using
the string similarity calculations from FuzzyWuzzy.

%package -n     python3-%{pypi_name}
Summary:        Rapid fuzzy string matching
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
RapidFuzz is a fast string matching library for Python and C++, which is using
the string similarity calculations from FuzzyWuzzy.

%pyproject_extras_subpkg -n python3-rapidfuzz all

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove pregenerated Cython sources
rm $(grep -rl '/\* Generated by Cython')

%generate_buildrequires
%pyproject_buildrequires -p -x all

%build
export RAPIDFUZZ_BUILD_EXTENSION=1
export CXXFLAGS="%{build_cxxflags}"
%pyproject_wheel -C"cmake.build-type=RelWithDebInfo"

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest -v

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Sat Feb 08 2025 daviddavid <daviddavid> 3.12.1-2.mga10
+ Revision: 2146099
- add patch to fix linking issue

* Sun Feb 02 2025 daviddavid <daviddavid> 3.12.1-1.mga10
+ Revision: 2144716
- new version: 3.12.1
- use system rapidfuzz-cpp
- add all extras subpkg

* Tue Jun 25 2024 daviddavid <daviddavid> 3.9.3-1.mga10
+ Revision: 2076786
- new version: 3.9.3

* Tue Jun 25 2024 daviddavid <daviddavid> 3.8.1-1.mga10
+ Revision: 2076665
- new version: 3.8.1

* Tue Dec 19 2023 wally <wally> 3.5.2-1.mga10
+ Revision: 2019897
- new version 3.5.2

* Tue Aug 16 2022 wally <wally> 2.5.0-2.mga9
+ Revision: 1878206
- build extension
- switch build to pyproject RPM macros

* Mon Aug 15 2022 kekepower <kekepower> 2.5.0-1.mga9
+ Revision: 1878092
- Update file lists
- imported package python-rapidfuzz

